package ru.ttyh.neko259.notey.db;

import android.database.sqlite.SQLiteDatabase;

public class DBManager {
	
	public static DBManager manager;

	public NotesDBOpenHelper helper;
	
	private DBManager() {
		helper = new NotesDBOpenHelper();
	};
	
	public synchronized static DBManager getInstance() {
		if (manager == null) {
			manager = new DBManager();
		}
		
		return manager;
	}
	
	private SQLiteDatabase getReadableDatabase() {
		return helper.getReadableDatabase();
	}
	
	private SQLiteDatabase getWritableDatabase() {
		return helper.getWritableDatabase();
	}
	
	public void close() {
		helper.close();
	}
	
	public NoteDAO getNoteDAO() {
		return new NoteDAO(getWritableDatabase());
	}

}