package ru.ttyh.neko259.notey.ui.adapters;

import android.content.Context;
import android.text.Html;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import ru.ttyh.neko259.notey.R;
import ru.ttyh.neko259.notey.util.Parser;

import java.util.List;

public class TagsListAdapter extends BaseAdapter {

    private List<String> items;
    private Context context;

    public TagsListAdapter(Context context) {
        items = Parser.getSingleTags();

        this.context = context;
    }

    @Override
    public int getCount() {
        return items.size();
    }

    @Override
    public Object getItem(int position) {
        return items.get(position);
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        View view = convertView;
        if (view == null) {
            view = LayoutInflater.from(context).inflate(R.layout.item_tag,
                    parent, false);
        }

        String tag = Parser.getTagName((String) getItem(position));

        TextView tagText = (TextView) view.findViewById(R.id.tag_text);
        tagText.setText(Html.fromHtml(Parser.parseNoteText(tag)));

        return view;
    }

}