package ru.ttyh.neko259.notey.util.export;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;
import ru.ttyh.neko259.notey.bean.NoteBean;

public class ImportHandler extends DefaultHandler {

    private NoteBean note;
    private StringBuilder text;

    public NoteBean getNote() {
        return note;
    }

    @Override
    public void startDocument() throws SAXException {
        super.startDocument();

        note = new NoteBean();
        text = new StringBuilder();
    }

    @Override
    public void startElement(String uri, String localName, String qName,
                             Attributes attributes) throws SAXException {
        if (Exporter.TAG_NOTE.equals(localName)) {
            note = new NoteBean();
        }
    }

    @Override
    public void characters(char[] ch, int start, int length) throws SAXException {
        super.characters(ch, start, length);

        text.append(ch, start, length);
    }

    @Override
    public void endElement(String uri, String localName, String qName) throws SAXException {
        if (Exporter.TAG_TITLE.equals(localName)) {
            note.setTitle(popText());
        } else if (Exporter.TAG_TEXT.equals(localName)) {
            note.setText(popText());
        } else if (Exporter.TAG_LATITUDE.equals(localName)) {
			note.setLatitude(Double.valueOf(popText()));
		} else if (Exporter.TAG_LONGITUDE.equals(localName)) {
			note.setLongitude(Double.valueOf(popText()));
		}
    }

    private String popText() {
        String textString = text.toString();
        text.setLength(0);

        return textString;
    }

}